.TH pop3d 8 "07 Jun 1996"
.SH NAME
pop3d  --  remote maildrop access server
.SH SYNOPSIS
.LP
.B
/etc/pop3d
.SH DESCRIPTION

Pop3d is a mailbox server based on the Internet RFC 1939,
Post Office Protocol Version 3. The program allows remote
access to UNIX maildrops found in /usr/spool/mail. The
server requires user and password verification before a
maildrop can be opened. The server can retrieve and delete
messages from the maildrop on a per-message basis.
.LP
Pop3d listens for TCP requests on port 110. Once connected
it expects single line commands terminated by a <CR-LF>.
.LP
Pop3d currently supports the following POP3 commands; the
commands are case independent.

Command			Description
USER			specify user for maildrop access
PASS			specify password for maildrop access
STAT			give message count and size of maildrop
LIST			list size of individual messages
RETR			retrieve a message
DELE			delete a message
NOOP			do nothing, return a positive response
LAST			give highest message number accessed ( legacy )
RSET			unmark messages marked for deletion
TOP			retrieve part of a message
UIDL                    send message ID for a message
QUIT			terminate session

In addition, pop3d may be compiled with the HOST extension command.
The HOST command allows access to BSMTP formatted maildrops in the
directory /usr/spool/pop. The syntax for the HOST command is:
.BR
HOST <hostname>
.BR
Example:        HOST fennario.ucdavis.edu
.BR
this will open the file at /usr/spool/pop/fennario.ucdavis.edu
.LP
The remaining optional command specified in RFC1939, APOP,
is not implemented.

.SH FILES
.if n .ta 2.8i
.if t .ta 2.1i

/usr/spool/mail/*	UNIX FromSPACE delimited maildrops
/usr/spool/pop/*	BSMTP formatted maildrops

.SH "SEE ALSO"
pop2d(8C)

.SH AUTHOR
Katie Stevens, dkstevens@ucdavis.edu
.BR
Information Technology -- Technology Support Program
.BR
University of California, Davis
.BR
June 07, 1996

.SH NOTES
The POP3 standard supersedes Post Office Protocol Version 2
(POP2), described in RFC937.


			August 29, 1990
